package org.texttechnologylab.project.gruppe_05_1.domain.mdb;

public enum Mandatsart {

    DIREKT("Direktwahl"),
    LANDESLISTE("Landesliste"),
    VOLKSKAMMER("Volkskammer"),
    NA("")              // falls Daten nicht vorhanden
    ;

    private final String text;

    Mandatsart(String text) {this.text = text;}

    public static Mandatsart byText(String text) {
        if (null == text)                                return NA;
        if (text.equalsIgnoreCase(DIREKT.text))          return DIREKT;
        if (text.equalsIgnoreCase(LANDESLISTE.text))     return LANDESLISTE;
        if (text.equalsIgnoreCase(VOLKSKAMMER.text))     return VOLKSKAMMER;
        return NA;
    }
}
